# [DEPRECATED] Process postgresql
command[check_proc_postgres]=/usr/lib/nagios/plugins/check_procs -c1:1024 -C postmaster

# Postgresql connexion
# Requirement:
#        * as user postgres, run "createuser -D -R -S nagios"
#        * add this on top of pg_hba.conf rules:
#          local postgres nagios ident
command[check_pgsql]=/usr/lib/nagios/plugins/check_pgsql -l nagios -d postgres

# Streaming Replication
#
# Could be use on Master or standby node
#
# Requirement : 
#
#     On master node :
#        - Default configuration (for retro-compatibility) :
#             Slaves must be able to connect with user postgres to local database
#             postgres as trust
#        - New configuration (enable by removing '-U postgres' parameter) :
#             Use information from recovery.conf on slave to connect on master
#
#     On standby node : user postgres must be able to connect localy as trust
# 
command[check_pg_sync]=sudo /usr/lib/nagios/plugins/check_pg_streaming_replication -U postgres
